org.multiverse.api.functions

## Class IncIntFunction

- java.lang.Object
- - org.multiverse.api.functions.IntFunction
  - - org.multiverse.api.functions.IncIntFunction

All Implemented Interfaces:
  Function<java.lang.Integer>

    public final class IncIntFunction
    extends IntFunction

A `IntFunction` that increased the value with the supplied amount.

### Field Summary

Fields
`static IncIntFunction` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`IncIntFunction()` Creates an IncIntFunction that adds one.
`IncIntFunction(int inc)` Creates an IncIntFunction with the specified

### Method Summary

Methods
`int` `call(int current)` Calculates the new value based on the current value.
`java.lang.String` `toString()`

### Methods inherited from class org.multiverse.api.functions.IntFunction

`call`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final IncIntFunction INSTANCE

### Constructor Detail

#### IncIntFunction

    public IncIntFunction()

Creates an IncIntFunction that adds one.

#### IncIntFunction

    public IncIntFunction(int inc)

Creates an IncIntFunction with the specified

Parameters:
  `inc` - the number to increment with.

### Method Detail

#### call

    public int call(int current)

Description copied from class: `IntFunction`
Calculates the new value based on the current value.

Specified by:
  `call` in class `IntFunction`
Parameters:
  `current` - the current value.
Returns:
  the new value.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`